<template>
  <div class="container">
    <header>
      <div>
        <div class="logo">
          <img src="~/assets/img/logo.png" alt="Logo">
        </div>
        <div ref="nav-main-handle" class="nav-main-handle">
          <a href="#nav-main"><MenuHandle /></a>
        </div>
      </div>
    </header>

    <section id="wo-standort" class="color-white">
      <div>
        <div class="header-img">
          <img src="~/assets/img/01_illu-hohntor.png" alt="Hohntor">
        </div>
        <div class="title-wrap">
          <div class="title white">
            <h1>Wo</h1>
            <h2>Standort</h2>
          </div>
          <p>
            Zu finden ist der Weltladen am Hohntor in der Altstadt Bad
            Neustadt:<br>
            <b>Hohnstraße 34, 97616 Bad Neustadt</b>
          </p>
          <p class="social">
            <a href="https://www.facebook.com/weltladenbadneustadt" target="_blank">facebook</a>,
            <a href="https://www.instagram.com/weltladenbadneustadt" target="_blank">instagram</a>,
            <a href="https://padlet.com/fairhandeln/u63uuk1ccf3y4jio" target="_blank">padlet</a>
          </p>
        </div>
      </div>
    </section>

    <section id="wann-oeffnungszeiten">
      <div>
        <div class="title blue">
          <h1>Wann</h1>
          <h2>Öffnungszeiten</h2>
        </div>
        <div class="openings">
          <div v-if="openings" class="openings__adjust">
            <b>Geänderte Öffnungszeiten</b><br>
            <!-- eslint-disable-next-line -->
            <p v-html="openings"></p>
          </div>
          <div class="openings__times">
            <p>
              Montag bis Donnerstag<br>
              <b>10.00 - 12.30 Uhr</b><br>
              <b>15.00 - 17.30 Uhr</b>
            </p>
            <p>
              Freitag<br>
              <b>10.00 - 17.30 Uhr</b>
            </p>
            <p>
              Samstag<br>
              <b>10.00 - 12.30 Uhr</b>
            </p>
          </div>
          <div class="openings__clock">
            <img src="~/assets/img/wann_uhr.png" alt="Uhr">
          </div>
        </div>
      </div>
    </section>

    <section id="wann-historie">
      <div>
        <div class="title blue">
          <h1>Wann</h1>
          <h2>Historie</h2>
        </div>
        <div class="history">
          <table class="list-table">
            <tbody>
              <tr v-for="(entry, entryIdx) in history.entries.slice(0, 3)" :key="entryIdx">
                <td>{{ entry.year }}</td>
                <td>
                  <span
                    v-for="(item, idx) in entry.items"
                    :key="idx"
                  ><span class="dash">&mdash;</span> <a v-if="item.url" :href="item.url" target="_blank">{{ item.title }}</a><span v-else>{{ item }}</span><br></span>
                </td>
              </tr>
              <tr
                v-for="(entry, entryIdx) in history.entries.slice(3)"
                v-show="history.toggle.value"
                :key="entryIdx"
              >
                <td>{{ entry.year }}</td>
                <td>
                  <span
                    v-for="(item, idx) in entry.items"
                    :key="idx"
                  ><span class="dash">&mdash;</span>  <a v-if="item.url" :href="item.url" target="_blank">{{ item.title }}</a><span v-else>{{ item }}</span><br></span>
                </td>
              </tr>
            </tbody>
          </table>

          <button
            class="btn btn--blue"
            @click="toggleHistory()"
          >
            <span v-if="!history.toggle.value">Mehr</span>
            <span v-else>Weniger</span> anzeigen
          </button>
        </div>
      </div>
    </section>

    <section id="wer-team" class="color-white">
      <div>
        <div class="team-image">
          <img src="~/assets/img/wer_mitarbeitende-foto.jpg" alt="Team">
        </div>
        <div class="title-wrap">
          <div class="title white">
            <h1>Wer</h1>
            <h2>Aktion eine Welt e.V.</h2>
          </div>
          <div class="team-text">
            <p>
              Der Verein <b>Aktion eine Welt e.V.</b> besteht seit 1992 aus über
              40 ehrenamtlichen Mitarbeitenden, die unterschiedliche
              Verantwortungen des Weltladens übernehmen.
            </p>
            <!--<a href="" class="btn btn--orange mt-1">Mehr über die Geschichte</a>-->
          </div>
        </div>
      </div>
    </section>

    <section id="was-aktuelles" class="color-white">
      <div>
        <div class="title-wrap">
          <div class="title blue">
            <h1>Was</h1>
            <h2>Aktuelles</h2>
          </div>
        </div>
        <div>
          <component :is="n" v-for="(n, idx) in news" :id="idx" :key="idx" />
        </div>
      </div>
    </section>

    <section id="was-produkte">
      <div>
        <div class="title-wrap">
          <div class="title blue">
            <h1>Was</h1>
            <h2>Produkte</h2>
          </div>
          <div class="product-text">
            <p>
              Bei uns finden Sie eine große Auswahl fair gehandelter Produkte, von
              Partnerorganisationen wie die
              <a href="https://www.gepa.de/home.html" target="_blank">Gepa</a>,
              <a href="https://www.weltpartner.de/" target="_blank">WeltPartner</a>,
              <a href="https://www.el-puente.de/" target="_blank">El Puente</a>,
              <a href="https://perupuro.de/" target="_blank">Perú Puro</a>,
              <a href="https://www.unicef.org/" target="_blank">Unicef</a> oder
              <a href="https://www.globo-fairtrade.com/" target="_blank">Globo</a>.
              Und natürlich unseren allseits beliebten Bad Neustadter Partnerkaffee,
              dessen Erlös zusammen mit dem
              <a href="http://partnerkaffee.de/unser-kaffee/" target="_blank">Aschaffenburger Partnerkaffee</a>
              seit den 90er Jahren Projekte des
              <a href="https://www.wegderhoffnung.de/" target="_blank">Wegs der Hoffnung</a> (Camino de la Esperanza)
              in Villavicencio/Kolumbien unterstützt.
            </p>
            <p>
              Außer Kaffee führen wir u.a. <a href="https://www.banafair.de/" target="_blank">Bananen</a>,
              Reis, Öl, Honig, Zucker, Nüsse,
              Brotaufstriche, Wein, Gewürze, Tee, Kakao, Schokolade, Kekse und Säfte.
            </p>
            <p>
              Sehr beliebt, auch als Geschenke, sind bei uns außerdem Schmuck, Tücher, Taschen,
              Schalen, Geldbörsen, Postkarten, Instrumente, Bälle und vieles mehr.
            </p>
          </div>
        </div>
        <div class="gallery">
          <carousel v-bind="products.gallery.config">
            <slide v-for="(item, idx) in products.gallery.items" :key="idx">
              <img :src="item" alt="Image">
            </slide>
          </carousel>
        </div>
      </div>
    </section>

    <section id="was-fairlinks">
      <div>
        <div class="title blue">
          <h1>Was</h1>
          <h2>Fairlinks</h2>
        </div>
        <div class="fairlinks">
          <div
            v-for="(group, idx) in fairlinks.groups"
            :key="idx"
            class="fairlinks__group"
          >
            <h4>{{ group.title }}</h4>
            <ul class="list-ul">
              <li
                v-for="(link, linkIdx) in group.links.slice(0, 4)"
                :key="linkIdx"
              >
                &mdash; <a :href="link.url" target="_blank">{{ link.title }}</a>
              </li>
              <li
                v-for="(link, linkIdx) in group.links.slice(4)"
                v-show="group.toggle.value"
                :key="linkIdx"
              >
                &mdash; <a :href="link.url" target="_blank">{{ link.title }}</a>
              </li>
            </ul>

            <button class="btn btn--blue" @click="toggleFairlinksGroup(group)">
              <span v-if="!group.toggle.value">Mehr</span>
              <span v-else>Weniger</span> anzeigen
            </button>
          </div>
        </div>
      </div>
    </section>

    <section id="wie-mitmachen">
      <div>
        <div class="title blue">
          <h1>Wie</h1>
          <h2>Mitmachen</h2>
        </div>
        <div>
          <p>
            Sie können den Eine-Welt-Laden Bad Neustadt und den Fairen Handel auf vielfältige Art und Weise unterstützen:<br>
            Empfehlen Sie uns und unsere Produkte weiter.
          </p>
          <p>
            Sie möchten sich auch ehrenamtlich engagieren?<br>
            Rufen Sie unter <a href="tel:+499771686143">09771 686143</a> im
            Laden an.<br>
            Wir freuen uns sehr!
          </p>
          <p>
            Sie möchten uns finanziell unterstützen?<br>
            Für unsere Fairhandelsarbeit: DE37 7935 3090 0000 5205 28<br>
            Für unsere Bildungsarbeit: DE07 7935 3090 0011 3845 83
          </p>
        </div>
      </div>
    </section>

    <MainMenu id="nav-main" ref="nav-main" class="nav-main" />

    <Overlay
      id="legal"
      :is-open="overlays.legal.value"
      @close="overlays.legal.value = false"
    >
      <Legal />
    </Overlay>

    <footer class="color-white">
      <div>
        Hohnstraße 34, 97616 Bad Neustadt<br>
        <a href="tel:+499771686143">09771 686143</a>,
        <a href="mailto:info@fairhandeln.de">info@fairhandeln.de</a>
      </div>
      <div class="social">
        <a href="https://www.facebook.com/weltladenbadneustadt" target="_blank">facebook</a>,
        <a href="https://www.instagram.com/weltladenbadneustadt" target="_blank">instagram</a>,
        <a href="https://padlet.com/fairhandeln/u63uuk1ccf3y4jio" target="_blank">padlet</a>
      </div>
      <div class="copyright" title="Ise is love">
        &copy; IDE-SAN
      </div>
    </footer>
  </div>
</template>

<script setup>
import { ref, onMounted } from 'vue';
import Legal from '~/components/Legal';
import MainMenu from '~/components/MainMenu';
import MenuHandle from '~/components/MenuHandle';
import Overlay from '~/components/Overlay';
import news from '~/news';

// eslint-disable-next-line no-undef
const runtimeConfig = useRuntimeConfig();

// openings
const openings = ref(runtimeConfig.public.openings);

const history = {
  toggle: ref(false),
  entries: [
    {
      year: 2022,
      items: ['30-jähriges Jubiläum'],
    },
    {
      year: 2021,
      items: [
        {
          title: 'Bad Neustadter Stadtschokolade',
          url: 'https://www.facebook.com/badneustadt/photos/a.748229668548189/3636334129737714',
        },
      ],
    },
    {
      year: 2020,
      items: ['Kreistag beschließt Bewerbung zum Fairtrade Landkreis'],
    },
    {
      year: 2017,
      items: ['25 Jahre Eine-Welt-Laden mit Mbonda Lokito'],
    },
    {
      year: 2016,
      items: ['Aktion: "Bananen für Kinder"'],
    },
    {
      year: 2013,
      items: ['NES FairTown'],
    },
    {
      year: 2012,
      items: [
        'Gesponsertes Schulprojekt',
        'Geld für Brunnenprojekt',
        '20 Jahre Eine-Welt-Laden',
      ],
    },
    {
      year: 2006,
      items: ['Hilfe für Bolivien', '10 Jahre Partnerkaffee'],
    },
    {
      year: 2005,
      items: [
        'Umzug in die Hohnstraße 34',
        'Umweltpreis für Eine-Welt-Laden',
      ],
    },
    {
      year: 1992,
      items: ['Gründung "Aktion eine Welt e.V."'],
    },
  ],
};
function toggleHistory () {
  history.toggle.value = !history.toggle.value;
}

const products = {
  gallery: {
    config: {
      perPage: 1,
      centerMode: true,
    },
    items: [
      '/gallery/partnerkaffee.jpg',
      '/gallery/bananen.jpg',
      '/gallery/hom-mali-reis.jpg',
      '/gallery/fairafric-zartbitterschokolade.jpg',
      '/gallery/african-cafe-cd.jpg',
      '/gallery/gallery-01.jpg',
      '/gallery/recycletes-metall-kolumbien-katze-uhr.jpg',
      '/gallery/handpuppen.jpg',
      '/gallery/gallery-02.jpg',
    ],
  },
};

const fairlinks = {
  groups: [
    {
      title: 'Von und für Weltläden',
      links: [
        {
          title: 'Rhöniversum Podcast',
          url: 'https://oberelsbach.rhoeniversum.de/ueber-uns/podcast#12-mauela-michel-norbert-dietzel',
        },
        {
          title: 'fairtont. Der Weltladen-Podcast',
          url: 'https://www.weltladen.de/ueber-weltlaeden/fairtont/',
        },
        {
          title: 'Karte von morgen',
          url: 'https://kartevonmorgen.org/#/?entry=32785afcbf83497f894c01aac6b3441c&center=50.321,10.214&zoom=15.00&dropdowns=kvm',
        },
        {
          title: 'Faire Produkte rund um den Kakao aus dem Urubambatal in Peru',
          url: 'https://perupuro.de/',
        },
        {
          title: 'Die Geschichte hinter Perú puro',
          url: 'https://www.youtube.com/watch?v=mWD_usg_FOk&list=PL-H0F5da3LFP1zts0qGn0A4IAw-Bt1J8h',
        },
        {
          title: 'Das Projekt hinter der Bad Neustadter Stadtschokolade',
          url: 'https://fairafric.com/',
        },
        {
          title: 'Film zum Projekt Fairafric',
          url: 'https://www.youtube.com/watch?v=SBOubXF6fd4',
        },
        { title: 'Faire Woche', url: 'https://www.faire-woche.de' },
        {
          title: 'Forum Fairer Handel',
          url: 'https://www.forum-fairer-handel.de',
        },
        {
          title: 'Weltladen Dachverband e. V.',
          url: 'https://www.weltladen.de',
        },
        {
          title: 'Weltläden in Bayern',
          url: 'https://www.fairhandeln-bayern.de',
        },
        {
          title: 'Eine Welt Netzwerk Bayern e. V.',
          url: 'https://www.eineweltnetzbayern.de',
        },
        {
          title: 'Dritte Welt Haus, Bielefeld',
          url: 'https://www.welthaus.de',
        },
        { title: 'Gepa Handelshaus', url: 'http://www.gepa.de' },
        {
          title: 'Brot für die Welt',
          url: 'https://www.brot-fuer-die-welt.de',
        },
        {
          title: 'Runder Tisch Fairer Handel Bayern',
          url: 'https://www.fairerhandel-bayern.de',
        },
        {
          title: 'Glaubwürdigkeit und Qualität von Labels',
          url: 'https://www.label-online.de',
        },
        {
          title: 'Aschaffenburger Partnerkaffee',
          url: 'http://www.partnerkaffee.de',
        },
      ],
      toggle: ref(false),
    },
    {
      title: 'Weltläden in Unterfranken',
      links: [
        {
          title: 'Aschaffenburg',
          url: 'https://weltladen-aschaffenburg.de',
        },
        {
          title: 'Bad Kissingen',
          url: 'https://www.openstreetmap.org/node/7984682524',
        },
        {
          title: 'Bad Königshofen',
          url: 'https://www.facebook.com/Weltladen.KOEN/',
        },
        {
          title: 'Eltmann',
          url: 'https://www.openstreetmap.org/way/160328542',
        },
        {
          title: 'Gemünden',
          url: 'https://weltlaeden.de/gemuenden/',
        },
        { title: 'Hammelburg', url: 'https://weltladenhammelburg.de' },
        { title: 'Karlstadt', url: 'https://weltladen-karlstein.de' },
        {
          title: 'Kitzingen',
          url: 'https://www.openstreetmap.org/node/392042130',
        },
        { title: 'Lohr', url: 'https://www.openstreetmap.org/node/6764042659' },
        {
          title: 'Marktheidenfeld',
          url: 'https://weltladen-marktheidenfeld.de',
        },
        {
          title: 'Miltenberg',
          url: 'https://www.openstreetmap.org/node/5774863655',
        },
        {
          title: 'Münnerstadt TrEVpunkt EINE-WELT',
          url: 'https://auferstehungskirche-muennerstadt.de',
        },
        {
          title: 'Ochsenfurt',
          url: 'https://www.openstreetmap.org/node/493869894',
        },
        {
          title: 'Reichenberg',
          url: 'https://www.openstreetmap.org/way/779551720',
        },
        {
          title: 'Retzbach',
          url: 'https://www.openstreetmap.org/search?query=Oberdorfstra%C3%9Fe%2030%2C%2097225%20Zellingen#map=19/49.90335/9.82129',
        },
        {
          title: 'Schweinfurt',
          url: 'https://www.openstreetmap.org/node/3450279064',
        },
        {
          title: 'Volkach',
          url: 'https://www.openstreetmap.org/way/190614216',
        },
        { title: 'Würzburg', url: 'https://weltladen-wuerzburg.de' },
      ],
      toggle: ref(false),
    },
    {
      title: 'Stadt und Region',
      links: [
        { title: 'Fairtrade Landkreis', url: 'https://www.rhoen-grabfeld.de/verwaltung/ueber-den-landkreis/fairtrade-landkreis-rhoen-grabfeld' },
        { title: 'Fairtrade Towns', url: 'https://www.fairtrade-towns.de/' },
        { title: 'Biosphärenreservat Rhön', url: 'https://www.biosphaerenreservat-rhoen.de/' },
        { title: 'Rhöniversum', url: 'https://oberelsbach.rhoeniversum.de/' },
        { title: 'BUND Naturschutz', url: 'https://rhoen-grabfeld.bund-naturschutz.de/' },
        { title: 'Kunstverein', url: 'https://kunst-nes.de/' },
        { title: 'Rhön Kaffee Bühners Rösterei', url: 'https://rhoen-kaffee.com/' },
        { title: 'Evangelische Kirche Bad Neustadt', url: 'https://www.nes-evangelisch.de/' },
        { title: 'Pfarreiengemeinschaft Bad Neustadt', url: 'https://www.katholisch-nes.de/' },
        {
          title: 'Tourismus Bad Neustadt',
          url: 'https://www.tourismus-nes.de', // Weiterleitung: https://www.bad-neustadt-erleben.de/
        },
        {
          title: 'Rhön-Saale-Zeitung',
          url: 'https://www.rhoen-saale.net',
        },
        { title: 'www.rhoenline.de', url: 'https://www.rhoenline.de' },
        {
          title: 'Ehrenamtsbörse',
          url: 'https://www.freinet-online.de/hp/freinet/agentur/456/Ehrenamtsboerse_NES/2', // http://www.ehrenamtsboerse-nes.de
        },
      ],
      toggle: ref(false),
    },
  ],
};
function toggleFairlinksGroup (group) {
  group.toggle.value = !group.toggle.value;
}

const overlays = {
  legal: ref(false),
};

onMounted(() => {
  // menu
  [].forEach.call(
    document.querySelectorAll('a[href^="#"]:not([data-popup-link])'),
    (el) => {
      const target = document.querySelector(el.getAttribute('href'));
      el.addEventListener('click', (ev) => {
        ev.preventDefault();
        target.scrollIntoView();
      });
    },
  );

  // overlay trigger
  [].forEach.call(document.querySelectorAll('a[data-popup-link]'), (el) => {
    const target = el.getAttribute('href');
    const targetProp = target.replace('#', '');
    el.addEventListener('click', (ev) => {
      ev.preventDefault();
      overlays[targetProp].value = true;
    });
  });
});
</script>

<style lang="scss">
@import '~/assets/css/_variables.scss';
@import '~/assets/css/utils.scss';

html {
  font-family: Raleway, Roboto, 'Helvetica Neue', Arial, sans-serif;
  font-size: 16px;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}

body {
  font-size: 1em;
}

*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
}

.container {
  position: relative;
}

section {
  /*
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  */

  padding: 3em 1em;

  &.color-gray {
    background-color: $color-gray;
  }
  &.text-black {
    color: #000;
  }

  > div {
    max-width: $max-width;
    margin: 0 auto;

    display: flex;
    justify-content: space-between;
    @extend %flex-align;

    > * {
      flex-basis: 50%;
    }

    .title-wrap {
      margin-right: 0.5em;

      .title {
        margin-bottom: 1em;
      }

      @media (max-width: $max-width) {
        align-self: flex-start;
      }
    }

    @media (min-width: $tablet-width) {
      > div:not(.title):not(.title-wrap) {
        order: 2;
      }
    }
  }
}

header {
  background-color: $color-blue;
  padding: 1em;

  > div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: $max-width;
    margin: 0 auto;
  }

  .logo {
    img {
      max-height: 150px;
    }
  }
}

.nav-main {
  background-color: $color-blue;
  color: $color-white;
  font-size: 1.4em;
  padding: 3em 1em;

  &-handle {
    color: $color-white;
    font-size: 3rem;
    cursor: pointer;
  }
}

footer {
  background-color: $color-blue;

  display: flex;
  flex-direction: column;
  align-items: center;

  padding: 2em 1em;

  font-weight: bold;

  .copyright {
    font-size: 0.75em;
    margin-top: 1em;
  }
}

a {
  color: inherit;

  &[href^='tel'],
  &[href^='mailto'] {
    text-decoration: none;
  }
}

p,
table {
  margin-bottom: 1em;
}

img {
  max-width: 100%;
  height: auto;
}

h2, h3, h4 {
  margin-bottom: 0.5em;

  &.has-subtitle {
    margin-bottom: 0;
  }
}

.btn {
  @extend %reset-Button;
  cursor: pointer;

  display: inline-block;
  font-weight: 500;
  padding: 0.5em 1em;
  border-radius: 10px;

  @at-root a#{&} {
    text-decoration: none;
  }

  &.btn--orange {
    color: $color-white;
    background-color: $color-orange;
  }

  &.btn--blue {
    color: $color-white;
    background-color: $color-blue;
  }
}

.header-img {
  @media (min-width: $max-width) {
    align-self: flex-end;
    order: 2;
  }
  align-self: flex-end;

  img {
    width: 100%;
  }
}

.video-container {
  padding: 0;
}
.video {
  $video-aspect-ratio: 0.5625;
  display: block;
  width: 100%;
  height: calc(100vw * #{$video-aspect-ratio});
}
.video-preview {
  display: inline-block;
  width: 100%;
  position: relative;

  > img {
    width: 100%;
  }

  .youtube-logo {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    display: flex;
    justify-content: center;
    align-items: center;

    > img {
      opacity: 0.7;
      max-width: 64px;
    }
  }
}

.box {
  padding: 1.5em;

  & + & {
    margin: 1em;
  }

  &--white {
    background-color: #fff;
  }
}

.social {
  a {
    text-decoration: none;
  }
}

#was-aktuelles {
  .box {
    img {
      margin-bottom: 1em;
    }
  }
  .box + .box {
    margin: 1em 0;
  }

  .list-ul {
    li {
      padding: 0.1em 0;
    }

    a {
      text-decoration: underline;
    }
  }
}

#wo-standort {
  background-color: $color-blue;

  > div {
    align-items: center;

    @media (min-width: $max-width) {
      flex-direction: row;
    }
  }

  p {
    margin: 0;

    &.social {
      font-weight: bold;
    }
  }
}

#wann-oeffnungszeiten {
  background-color: $color-gray;

  .openings {
    position: relative;
    min-width: 320px;

    &__adjust {
      background-color: $color-blue;
      color: $color-orange;
      padding: 2em;
    }

    &__times {
      background-color: $color-white;
      padding: 2em;
    }

    &__clock {
      position: absolute;
      right: -1em;
      bottom: -1.5em;
    }
  }
}
#wann-historie {
  .history {
    background-color: $color-gray;
    padding: 1.5em;
  }
}

#wer-team {
  background-color: $color-blue;

  .team-image {
    text-align: center;
    background-color: $color-gray;
    padding: 1em 1em 3em 1em;
    box-shadow: 10px 10px 0px 0px rgba(255, 255, 255, 0.3);

    margin-bottom: 3em;
    @media (min-width: $tablet-width) {
      margin: 0 1.5em;
      margin-right: 0;
    }
  }

  .team-text {
    flex: 1 0 40%;
  }
}

#was-aktuelles {
  background-color: $color-gray;
  color: #000;
}
.image {
  text-align: right;

  @media (max-width: $tablet-width) {
    text-align: center;
  }
}

#was-produkte {
  .product-text {
    flex: 1 0 40%;
  }

  .VueCarousel-dot-container,
  .VueCarousel-dot {
    margin: 0 !important;
  }
}

#was-fairlinks {
  background-color: $color-gray;

  > div {
    flex-direction: column;
  }

  .fairlinks {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

    @media (max-width: $tablet-width) {
      flex-direction: column;
    }

    &__group {
      background-color: #fff;
      padding: 1.5em;
      margin: 1em 0;
      //min-width: 25vw;
      min-width: 340px; // biggest element
      max-width: 33%;

      @media (max-width: $tablet-width) {
        margin: 1em 0;
        max-width: none;
      }
    }
  }
}

.list-table {
  td:first-child {
    font-weight: 500;
    vertical-align: top;
  }

  td {
    padding: 1em 0;
  }
  tr:first-child td {
    padding-top: 0;
  }
  tr:last-child td {
    padding-bottom: 0;
  }

  .dash {
    font-weight: 500;
    margin-left: 1em;
  }
}

.list-ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  margin-bottom: 1em;

  li {
    padding: 0.25em 0;
  }

  a {
    text-decoration: none;
  }
}

.title {
  $title-width: 360px;
  position: relative;
  min-width: $title-width;
  align-self: flex-start;

  &.white {
    h1 {
      color: rgba($color-white, 0.3);
    }
    h2 {
      color: $color-white;
    }
  }
  &.blue {
    h1 {
      color: rgba($color-blue, 0.3);
    }
    h2 {
      color: $color-blue;
    }
  }

  h1 {
    font-size: 8em;
    text-transform: uppercase;
    font-weight: 900;
    line-height: 0.9em;

    @media (max-width: $mobile-width) {
      font-size: 6.5em;
    }

    &.white {
      color: rgba($color-white, 0.3);
    }
    &.blue {
      color: rgba($color-blue, 0.3);
    }
  }
  h2 {
    font-size: 2em;
    text-transform: uppercase;
    font-weight: 500;
    position: absolute;
    left: 0;
    bottom: 0;
    margin-bottom: 0;

    &.white {
      color: $color-white;
    }
    &.blue {
      color: $color-blue;
    }
  }

  @media (max-width: $tablet-width) {
    margin-bottom: 1em;
  }
}

#legal {
  section {
    padding: 0;
  }
}

// adjust titles of specific sections to bottom on DESKTOP
@media (min-width: $tablet-width) {
  #wo-standort,
  #wann-oeffnungszeiten,
  #wann-historie,
  #wer-team,
  #was-aktuelles,
  #was-produkte,
  #wie-mitmachen {
    .title,
    .title-wrap {
      align-self: flex-end;
    }
  }
  p {
    margin-bottom: 0;

    &:not(:last-child) {
      margin-bottom: 1em;
    }
  }
}
</style>
